Skip to main content
GET
/
v1
/
transactions
List the tenant's payment transactions
curl --request GET \
  --url https://api.myproceeds.xyz/v1/transactions \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "paywallId": "<string>",
      "txHash": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "network": "base-sepolia",
      "fromAddress": "<string>",
      "toAddress": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "Paywall": {
        "slug": "<string>",
        "name": "<string>",
        "price": "<string>",
        "currency": "<string>"
      }
    }
  ],
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "total": 123,
      "limit": 123,
      "offset": 123,
      "hasMore": true
    }
  }
}

Authorizations

X-Api-Key
string
header
required

API key in format mpk_<64 hex chars>. Can alternatively be sent as Authorization: Bearer mpk_....

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
status
enum<string>
Available options:
PENDING,
COMPLETED,
FAILED
paywallId
string

Response

Transaction list

data
object[]
required
meta
object
required